Vulnerabilidad de Java 7 en Mountain Lion

Estos días está siendo noticia la vulnerabilidad de Java que puede ser aprovechada para infectar múltiples sistemas operativos entre los que se encuentra Mountain Lion. Me ha sorprendido como desde algunas fuentes se cita que Mountain Lion está afectada por esta vulnerabilidad. Pero, ¿Cual es la realidad? La realidad es que depende de la versión de Java que tengamos instalada. 

Mountain Lion trae por defecto la rama 1.6 lo cual significa que al menos que te hayas descargado manualmente desde la página de descargas de Java la versión 1.7 no estarás afectado por esta nueva vulnerabilidad. 

Para saber que versión de java tenemos instalado ejecutaremos desde la Terminal el siguiente comando:

java -version

Version de Java mediante comandos

Es posible que alguno de vosotros se pregunte si al tener la versión 1.6 de Java su sistema pueda ser afectado al no estar actualizado a la versión 1.7. Simplemente Apple nos mantiene al día mediante sus actualizaciones de la rama 1.6 de Java. Es decir, no existen mas parches de seguridad que falten por aplicar si actualizas correctamente el sistema. Esto no implica que otras vulnerabilidades no detectadas aun por Oracle puedan afectar a Mountain Lion.

Desde crónicas de un informático os recomendamos que empleéis extensiones con vuestros navegadores que limiten la ejecución de Java solo a vuestros sitios de confianza ya que hoy en día Java es la puerta de entrada de múltiples tipos distintos de ataques. De la misma forma no olvidéis tener vuestro sistema actualizado al día.